crashpad::ExceptionHandlerClient Class Reference

A client for an ExceptionHandlerServer. More...

`#include "util/linux/exception_handler_client.h"`

## Public Member Functions

| ExceptionHandlerClient (int sock)
| Constructs this object. More...
int | RequestCrashDump (const ClientInformation &info)
| Request a crash dump from the ExceptionHandlerServer. More...
int | SetPtracer (pid_t pid)
| Uses `prctl(PR_SET_PTRACER, ...)` to set the process with process ID pid as the ptracer for this process. More...
void | SetCanSetPtracer (bool can_set_ptracer)
| Enables or disables SetPtracer(). More...

## Detailed Description

A client for an ExceptionHandlerServer.

## Constructor & Destructor Documentation

## ExceptionHandlerClient()

crashpad::ExceptionHandlerClient::ExceptionHandlerClient | ( | int | sock | ) |

explicit

Constructs this object.

Parameters

  [in] | sock | A socket connected to an ExceptionHandlerServer.

## Member Function Documentation

## RequestCrashDump()

int crashpad::ExceptionHandlerClient::RequestCrashDump | ( | const ClientInformation & | info | ) |

Request a crash dump from the ExceptionHandlerServer.

This method blocks until the crash dump is complete.

Parameters

  [in] | info | Information about this client.

Returns
  0 on success or an error code on failure.

## SetCanSetPtracer()

void crashpad::ExceptionHandlerClient::SetCanSetPtracer | ( | bool | can_set_ptracer | ) |

Enables or disables SetPtracer().

Parameters

  [in] | can_set_ptracer | Whether SetPtracer should be enabled.

## SetPtracer()

int crashpad::ExceptionHandlerClient::SetPtracer | ( | pid_t | pid | ) |

Uses `prctl(PR_SET_PTRACER, ...)` to set the process with process ID pid as the ptracer for this process.

Parameters

  [in] | pid | The process ID of the process to be set as this process' ptracer.

Returns
  0 on success or an error code on failure.

The documentation for this class was generated from the following files:

- util/linux/exception_handler_client.h
- util/linux/exception_handler_client.cc